Package org.apache.jasper.compiler

## Class StringInterpreterFactory

- java.lang.Object
- - org.apache.jasper.compiler.StringInterpreterFactory

    public class StringInterpreterFactory
    extends Object

Provides `StringInterpreter` instances for JSP compilation. The search order is as follows:

1. StringInterpreter instance or implementation class name provided as a ServletContext attribute
2. Implementation class named in a ServletContext initialisation parameter
3. Default implementation

### Nested Class Summary

Nested Classes
`static class` `StringInterpreterFactory.DefaultStringInterpreter`

### Field Summary

Fields
`static String` `STRING_INTERPRETER_CLASS_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static StringInterpreter` `getStringInterpreter​(ServletContext context)` Obtain the correct String Interpreter for the given web application.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STRING_INTERPRETER_CLASS_NAME

    public static final String STRING_INTERPRETER_CLASS_NAME

### Method Detail

#### getStringInterpreter

    public static StringInterpreter getStringInterpreter​(ServletContext context)
                                                  throws Exception

Obtain the correct String Interpreter for the given web application.

Parameters:
  `context` - The Servlet context
Returns:
  the String interpreter
Throws:
  `Exception` - If an error occurs creating the interpreter